1.3.5 -> 1.3.6.
[obnox/wireshark/wip.git] / config.nmake
1 # $Id$
2
3 # Some more information about the settings in this file can be found in
4 # the file README.windows and the Developer's Guide (available online).
5
6 ##### Target platform #####
7 # Only "win32" and "win64" are valid (for now).
8 # This can be defined in the system environment.
9 !IFNDEF WIRESHARK_TARGET_PLATFORM
10 WIRESHARK_TARGET_PLATFORM=win32
11 !ENDIF
12
13 ##### Versions #####
14
15 # The current Wireshark version
16 # It's highly recommended to leave MAJOR/MINOR/MICRO unchanged
17 VERSION_MAJOR=1
18 VERSION_MINOR=3
19 VERSION_MICRO=6
20 VERSION_BUILD=0
21 # It's recommended to change VERSION_EXTRA for your own custom builds
22 # e.g. "-SVN-12345"
23 VERSION_EXTRA=
24
25 # The version of the wiretap library (recommended: leave unchanged)
26 WTAP_VERSION_MAJOR=0
27 WTAP_VERSION_MINOR=3
28 WTAP_VERSION_MICRO=1
29
30
31
32 ##### Directories #####
33
34 #
35 # Base directory, where your libraries reside, which are needed to
36 # compile the sources. This setting is used only inside this file.
37 #
38 WIRESHARK_LIBS=C:\wireshark-$(WIRESHARK_TARGET_PLATFORM)-libs
39
40 #
41 # Base directory, where your programs reside.
42 # This setting is used only inside this file.
43 #
44 PROGRAM_FILES=$(PROGRAMFILES)
45
46 #
47 # Location of the "tools" directory. This affects HTML2TXT below and should
48 # be overridden by makefiles in any subdirectories that use HTML2TXT.
49 !IFNDEF TOOLS_DIR
50 TOOLS_DIR=tools
51 !ENDIF
52
53 #
54 # Machine type for the compiler and linker
55 # TARGET_MACHINE (Used for link /MACHINE) should be one of "X86" or "X64"
56 # (sorry ARM, Alpha, MIPS, and Itanium fans).
57 # CPU (Used by win32.mak) should be one of "i386" or "AMD64".
58 !if "$(WIRESHARK_TARGET_PLATFORM)" == "win32"
59 TARGET_MACHINE=x86
60 CPU=i386
61 VCREDIST_DLL=x86
62 !else if "$(WIRESHARK_TARGET_PLATFORM)" == "win64"
63 TARGET_MACHINE=x64
64 CPU=AMD64
65 VCREDIST_DLL=amd64
66 !else
67 !error Your mysterious moon-man architecture "$(WIRESHARK_TARGET_PLATFORM)" frightens and confuses us.
68 !endif
69
70
71 ##### Microsoft Visual C / Studio Variant #####
72 # for the different Studios, see: http://en.wikipedia.org/wiki/Microsoft_Visual_Studio
73 # only one of the following MSVC_VARIANT settings should be used
74 # BTW: The "Microsoft Visual C++ Toolkit 2003" DOESN'T WORK for WS!
75
76 # "Microsoft Visual Studio 6.0"
77 # Visual C++ 6.0, _MSC_VER 1200, msvcrt.dll (version 6)
78 #MSVC_VARIANT=MSVC6
79
80 # "Microsoft Visual Studio .NET (2002)"
81 # Visual C++ 7.0, _MSC_VER 1300, msvcr70.dll
82 #MSVC_VARIANT=MSVC2002
83
84 # "Microsoft .Net Framework SDK Version 1.0"
85 # needs additional Platform SDK installation
86 # Visual C++ 7.0, _MSC_VER 1300, msvcr70.dll
87 #MSVC_VARIANT=DOTNET10
88
89 # "Microsoft Visual Studio .NET 2003"
90 # Visual C++ 7.1, _MSC_VER 1310, msvcr71.dll
91 #MSVC_VARIANT=MSVC2003
92
93 # "Microsoft .Net Framework SDK Version 1.1"
94 # needs additional Platform SDK installation
95 # Visual C++ 7.1, _MSC_VER 1310, msvcr71.dll
96 #MSVC_VARIANT=DOTNET11
97
98 # "Microsoft Visual Studio 2005"
99 # Visual C++ 8.0, _MSC_VER 1400, msvcr80.dll
100 #MSVC_VARIANT=MSVC2005
101
102 # "Microsoft Visual C++ 2005 Express Edition"
103 # needs additional Platform SDK installation
104 # Visual C++ 8.0, _MSC_VER 1400, msvcr80.dll
105 #MSVC_VARIANT=MSVC2005EE
106
107 # "Microsoft .Net Framework 2.0 SDK"
108 # needs additional Platform SDK installation
109 # Visual C++ 8.0, _MSC_VER 1400, msvcr80.dll
110 #MSVC_VARIANT=DOTNET20
111
112 # "Microsoft Visual Studio 2008"
113 # Visual C++ 9.0, _MSC_VER 1500, msvcr90.dll
114 MSVC_VARIANT=MSVC2008
115
116 # "Microsoft Visual C++ 2008 Express Edition"
117 # Visual C++ 9.0, _MSC_VER 1500, msvcr90.dll
118 #MSVC_VARIANT=MSVC2008EE
119
120 # Warning, building with this setting does not work yet
121 # "Microsoft Visual Studio 2010"
122 # Visual C++ 10.0, _MSC_VER 1600, msvcr100.dll
123 #MSVC_VARIANT=MSVC2010
124
125 # Warning, building with this setting does not work yet
126 # "Microsoft Visual C++ 2010 Express Edition"
127 # Visual C++ 10.0, _MSC_VER 1600, msvcr100.dll
128 #MSVC_VARIANT=MSVC2010EE
129
130 #
131 # Optional: To compile some time critical code from assembler instead of C
132 #
133 # If you have the NASM compiler, set this to the NASM executable.
134 # http://nasm.sourceforge.net/
135 #
136 # If you don't have NASM, comment this line out, so that NASM
137 # isn't defined.
138 #
139 NASM=$(WIRESHARK_LIBS)\nasm-2.02\nasm.exe
140
141
142 !if "$(WIRESHARK_TARGET_PLATFORM)" == "win32"
143 ##### Win32 Libraries #####
144 #
145 # Mandatory: GLib settings
146 #
147 # Please note: Since Wireshark release 1.0.0, we no longer support GLib1.x
148 #
149 GLIB_VERSION=2.0
150
151 ##### To Use new packet list uncomment this line ####
152 ### Warning Experimental - work in progress
153 NEW_PACKET_LIST_CONFIG=^#define NEW_PACKET_LIST 1
154
155 #
156 # Mandatory: GLib, GTK & related library settings
157 #
158 # Please note: Since Wireshark release 1.0.0, we no longer support GTK1.x
159 #
160 # If you want building with GTK+, set GTK_DIR to the pathname of the
161 # directory in which the "include" and "lib" directories reside.
162 #
163 GTK_DIR=$(WIRESHARK_LIBS)\gtk2
164 # These macros are used by the nsis installer script and by the install target.
165 PNG_DLL=libpng14-14.dll
166 FREETYPE_DLL=freetype6.dll
167 FONTCONFIG_DLL=libfontconfig-1.dll
168 EXPAT_DLL=libexpat-1.dll
169 INTL_DLL=intl.dll
170 # This macro is used by the setup target.
171 GTK_PKG=2.16.6-20100207
172
173 #
174 # Mandatory: Version numbers of GTK and pango.
175 #
176 # (MAJOR + MINOR Version number but without MICRO version number)
177 # These macros are used by the nsis installer script and by the setup target.
178 #
179 GTK_INST_VERSION=2.16
180
181 #
182 # Optional: WinPcap developer's pack to capture network traffic.
183 #
184 # If you have the WinPcap developer's pack (at least version 3.0),
185 # set this to the directory in which the WinPcap developer's pack resides.
186 #
187 # If you don't have the WPdpack, comment this line out, so that
188 # PCAP_DIR isn't defined.
189 #
190 PCAP_DIR=$(WIRESHARK_LIBS)\WPdpack
191 # This macro is used by the nsis installer script, by the u3/portable apps and by the setup target.
192 PCAP_VERSION=4_1_1
193
194 #
195 # Optional: WinPcap remote capture support and new API
196 # (pcap_open(), pcap_findalldevs_ex(), etc.)
197 #
198 PCAP_REMOTE=1
199
200 #
201 # Optional: The ZLib enables unzipping of gzip compressed capture files
202 # "on the fly".
203 #
204 # If you have Zlib, set this to directory in which the Zlib headers
205 # and .lib file are stored.
206 #
207 # If you don't have Zlib, comment this line out, so that ZLIB_DIR isn't
208 # defined.
209 #
210 ZLIB_DIR=$(WIRESHARK_LIBS)\zlib123
211
212 #
213 # Optional: the ADNS library enables asynchronous (nonblocking) DNS
214 # name resolvings.
215 #
216 # If you have GNU ADNS, set this to the directory in which the GNU ADNS
217 # .lib file is stored.
218 #
219 # If you don't have GNU ADNS, comment this line out, so that ADNS_DIR
220 # isn't defined.
221 #
222 # If C_ARES_DIR is defined below, it will override this setting.
223 #
224 #ADNS_DIR=$(WIRESHARK_LIBS)\adns-1.0-win32-05ws
225
226 #
227 # Optional: the c-ares library enables asynchronous (nonblocking) DNS
228 # name resolvings.
229 #
230 # If you have c-ares, set this to the directory in which the c-ares
231 # .lib file is stored. Setting this will override ADNS_DIR above. You
232 # can't have both.
233 #
234 # If you're using Visual C++ 6.0, you'll have to use a platform SDK that
235 # defines socklen_t, such as Windows Server 2003 PSDK.
236 #
237 # If you don't have c-ares, comment this line out, so that C_ARES_DIR
238 # isn't defined.
239 #
240 C_ARES_PKG=1.7.1
241
242 #
243 # Optional: the PCRE (Perl Compatible Regular Expressions) library
244 # enables regular expressions for display filters.
245 #
246 # If you have the PCRE library, set this to the directory in which
247 # the GNUWIN32 pcre-lib package is stored.
248 #
249 # If you don't have PCRE, comment this line out, so that PCRE_DIR
250 # isn't defined.
251 #
252 #PCRE_DIR=$(WIRESHARK_LIBS)\pcre-7.0
253
254 #
255 # Optional: the GNUTLS library enables ssl decryption.
256 #
257 # If you have the GNUTLS library, set this to the package version.
258 #
259 # If you don't have GNUTLS, comment this line out, so that GNUTLS_PKG
260 # isn't defined.
261 #
262 # Platform SDK conflicts with openssl.h header
263 GNUTLS_PKG=2.8.5-4.12
264
265 #
266 # Optional: the KFW library enables kerberos/sasl/dcerpc decryption.
267 #
268 # If you have the kerberos for windows (mit) library, set this to the
269 # directory where the kfw package is stored.
270 #
271 # If you don't have KFW, comment this line out, so that KFW_DIR
272 # isn't defined.
273 #
274 KFW_DIR=$(WIRESHARK_LIBS)\kfw-3-2-2-i386-ws-vc6
275
276 #
277 # Optional: the Nettle library enables ??? decryption.
278 #
279 # If you have the Nettle encryption library, set this to the
280 # directory in which the nettle package is stored.
281 #
282 # If you don't have Nettle, comment this line out, so that NETTLE_DIR
283 # isn't defined.
284 #
285 # NETTLE_DIR=$(WIRESHARK_LIBS)\nettle-1.10
286
287 #
288 # Optional: the LUA library enables scripting support.
289 #
290 # If you have the LUA library, set this to the directory in which
291 # the LUA package is stored.
292 #
293 # If you don't have LUA, comment this line out, so that LUA_DIR
294 # isn't defined.
295 #
296 LUA_DIST=5_1_4_Win32_dll6
297 LUA_DIR=$(WIRESHARK_LIBS)\lua5.1.4
298
299 #
300 # Optional: the PORTAUDIO library enables audio output for RTP streams.
301 #
302 # If you have the PORTAUDIO library (used for rtp_player), set this to
303 # the directory in which the PORTAUDIO library is stored.
304 #
305 # If you don't have PORTAUDIO, comment this line out, so that
306 # PORTAUDIO_DIR isn't defined.
307 #
308 #PORTAUDIO_DIR=$(WIRESHARK_LIBS)\portaudio_v18_1
309 PORTAUDIO_DIR=$(WIRESHARK_LIBS)\portaudio_v19_2
310
311 #
312 # Version number of PortAudio
313 #
314 #PORTAUDIO_VERSION=18
315 PORTAUDIO_VERSION=19
316
317 #
318 # Optional: AirPcap developer's pack to capture wireless network traffic
319 # incl. 802.11 management frames.
320 #
321 # If you have the AirPcap developer's pack, set this to the directory
322 # in which the AirPcap developer's pack resides.
323 #
324 # If you don't have the AirPcap developer's pack, comment this line out,
325 # so that AIRPCAP_DIR isn't defined.
326 #
327 AIRPCAP_DIR=$(WIRESHARK_LIBS)\AirPcap_Devpack_4_1_0_1622\AirPcap_Devpack
328
329 #
330 # Optional: LIBSMI, System Management Interface
331 #
332 # Used for oid-name resolution for SNMP and other protocols
333 #
334 SMI_DIR=$(WIRESHARK_LIBS)\libsmi-0.4.8
335
336 #
337 # Optional: GeoIP, IP address database lookups
338 #
339 # Used to map IP addresses to MaxMind GeoIP database entries
340 #
341 # GeoIP requires IPv6 definitions that don't ship with Visual C++ 6.0.
342 # However, the Microsoft Platform SDK for Windows Server 2003 R2 provides
343 # these definitions. The SDK's SetEnv.bat script defines INETSDK.
344 !IF "$(MSVC_VARIANT)" != "MSVC6" || DEFINED(INETSDK)
345 GEOIP_DIR=$(WIRESHARK_LIBS)\GeoIP-1.4.6-win32ws\libGeoIP
346 !ENDIF
347
348 !else
349 ##### Win64 Libraries #####
350 #
351 # Mandatory: GLib settings
352 #
353 # Please note: Since Wireshark release 1.0.0, we no longer support GLib1.x
354 #
355 GLIB_VERSION=2.0
356
357 ##### To Use new packet list uncomment this line ####
358 ### Warning Experimental - work in progress
359 NEW_PACKET_LIST_CONFIG=^#define NEW_PACKET_LIST 1
360
361 #
362 # Mandatory: GLib, GTK & related library settings
363 #
364 # Please note: Since Wireshark release 1.0.0, we no longer support GTK1.x
365 #
366 # If you want building with GTK+, set GTK_DIR to the pathname of the
367 # directory in which the "include" and "lib" directories reside.
368 #
369 GTK_DIR=$(WIRESHARK_LIBS)\gtk2
370 # These macros are used by the nsis installer script and by the install target.
371 PNG_DLL=libpng14-14.dll
372 #TIFF_DLL=libtiff-3.dll
373 #JPEG_DLL=libjpeg-7.dll
374 FREETYPE_DLL=libfreetype-6.dll
375 FONTCONFIG_DLL=libfontconfig-1.dll
376 EXPAT_DLL=libexpat-1.dll
377 INTL_DLL=libintl-8.dll
378
379 # These macros are used by the setup target.
380 GTK_PKG=2.16.6-20100208
381
382 #
383 # Mandatory: Version numbers of GTK and pango.
384 #
385 # (MAJOR + MINOR Version number but without MICRO version number)
386 # These macros are used by the nsis installer script and by the setup target.
387 #
388 GTK_INST_VERSION=2.16
389
390 #
391 # Optional: WinPcap developer's pack to capture network traffic.
392 #
393 # If you have the WinPcap developer's pack (at least version 3.0),
394 # set this to the directory in which the WinPcap developer's pack resides.
395 #
396 # If you don't have the WPdpack, comment this line out, so that
397 # PCAP_DIR isn't defined.
398 #
399 PCAP_DIR=$(WIRESHARK_LIBS)\WPdpack
400 # This macro is used by the nsis installer script, by the u3/portable apps and by the setup target.
401 PCAP_VERSION=4_1_1
402
403 #
404 # Optional: WinPcap remote capture support and new API
405 # (pcap_open(), pcap_findalldevs_ex(), etc.)
406 #
407 PCAP_REMOTE=1
408
409 #
410 # Optional: The ZLib enables unzipping of gzip compressed capture files
411 # "on the fly".
412 #
413 # If you have Zlib, set this to directory in which the Zlib headers
414 # and .lib file are stored.
415 #
416 # If you don't have Zlib, comment this line out, so that ZLIB_DIR isn't
417 # defined.
418 #
419 ZLIB_DIR=$(WIRESHARK_LIBS)\zlib123
420
421 #
422 # Optional: the ADNS library enables asynchronous (nonblocking) DNS
423 # name resolvings.
424 #
425 # If you have GNU ADNS, set this to the directory in which the GNU ADNS
426 # .lib file is stored.
427 #
428 # If you don't have GNU ADNS, comment this line out, so that ADNS_DIR
429 # isn't defined.
430 #
431 # If C_ARES_DIR is defined below, it will override this setting.
432 #
433 #ADNS_DIR=$(WIRESHARK_LIBS)\adns-1.0-win32-05ws
434
435 #
436 # Optional: the c-ares library enables asynchronous (nonblocking) DNS
437 # name resolvings.
438 #
439 # If you have c-ares, set this to the directory in which the c-ares
440 # .lib file is stored. Setting this will override ADNS_DIR above. You
441 # can't have both.
442 #
443 # If you're using Visual C++ 6.0, you'll have to use a platform SDK that
444 # defines socklen_t, such as Windows Server 2003 PSDK.
445 #
446 # If you don't have c-ares, comment this line out, so that C_ARES_DIR
447 # isn't defined.
448 #
449 C_ARES_PKG=1.7.1
450
451 #
452 # Optional: the PCRE (Perl Compatible Regular Expressions) library
453 # enables regular expressions for display filters.
454 #
455 # If you have the PCRE library, set this to the directory in which
456 # the GNUWIN32 pcre-lib package is stored.
457 #
458 # If you don't have PCRE, comment this line out, so that PCRE_DIR
459 # isn't defined.
460 #
461 #PCRE_DIR=$(WIRESHARK_LIBS)\pcre-7.0
462
463 #
464 # Optional: the GNUTLS library enables ssl decryption.
465 #
466 # If you have the GNUTLS library, set this to the package version.
467 #
468 # If you don't have GNUTLS, comment this line out, so that GNUTLS_PKG
469 # isn't defined.
470 #
471 # Platform SDK conflicts with openssl.h header
472 GNUTLS_PKG=2.8.5-3.16
473
474 #
475 # Optional: the KFW library enables kerberos/sasl/dcerpc decryption.
476 #
477 # If you have the kerberos for windows (mit) library, set this to the
478 # directory where the kfw package is stored.
479 #
480 # If you don't have KFW, comment this line out, so that KFW_DIR
481 # isn't defined.
482 #
483 #KFW_DIR=$(WIRESHARK_LIBS)\kfw-3.2.2-ws1
484
485 #
486 # Optional: the Nettle library enables ??? decryption.
487 #
488 # If you have the Nettle encryption library, set this to the
489 # directory in which the nettle package is stored.
490 #
491 # If you don't have Nettle, comment this line out, so that NETTLE_DIR
492 # isn't defined.
493 #
494 # NETTLE_DIR=$(WIRESHARK_LIBS)\nettle-1.10
495
496 #
497 # Optional: the LUA library enables scripting support.
498 #
499 # If you have the LUA library, set this to the directory in which
500 # the LUA package is stored.
501 #
502 # If you don't have LUA, comment this line out, so that LUA_DIR
503 # isn't defined.
504 #
505 LUA_DIST=5_1_4_Win64_dll9
506 LUA_DIR=$(WIRESHARK_LIBS)\lua5.1.4
507
508 #
509 # Optional: the PORTAUDIO library enables audio output for RTP streams.
510 #
511 # If you have the PORTAUDIO library (used for rtp_player), set this to
512 # the directory in which the PORTAUDIO library is stored.
513 #
514 # If you don't have PORTAUDIO, comment this line out, so that
515 # PORTAUDIO_DIR isn't defined.
516 #
517 #PORTAUDIO_DIR=$(WIRESHARK_LIBS)\portaudio_v18_1
518 PORTAUDIO_DIR=$(WIRESHARK_LIBS)\portaudio_v19_2
519
520 #
521 # Version number of PortAudio
522 #
523 #PORTAUDIO_VERSION=18
524 PORTAUDIO_VERSION=19
525
526 #
527 # Optional: AirPcap developer's pack to capture wireless network traffic
528 # incl. 802.11 management frames.
529 #
530 # If you have the AirPcap developer's pack, set this to the directory
531 # in which the AirPcap developer's pack resides.
532 #
533 # If you don't have the AirPcap developer's pack, comment this line out,
534 # so that AIRPCAP_DIR isn't defined.
535 #
536 AIRPCAP_DIR=$(WIRESHARK_LIBS)\AirPcap_Devpack_4_1_0_1622\AirPcap_Devpack
537
538 #
539 # Optional: LIBSMI, System Management Interface
540 #
541 # Used for oid-name resolution for SNMP and other protocols
542 #
543 #SMI_DIR=$(WIRESHARK_LIBS)\libsmi-0.4.8
544
545 #
546 # Optional: GeoIP, IP address database lookups
547 #
548 # Used to map IP addresses to MaxMind GeoIP database entries
549 #
550 GEOIP_DIR=$(WIRESHARK_LIBS)\GeoIP-1.4.6-win64ws\libGeoIP
551
552 !endif
553
554 ##### Tools #####
555
556 # Set the following mandatory commands to find the tools.
557 # The easiest way is to use the corresponding packages from cygwin.
558
559 # Set up the path to the cygwin binaries
560 CYGWIN_PATH=c:\cygwin\bin
561
562 # command for a shell (cygwin's bash package recommended)
563 SH_PROG=bash
564
565 # bash versions after 3.1.6 need the 'igncr' shell option to be able to
566 #  process scripts in windows 'native format' (dos crlf format).
567 # The following !IF results in the option being used only if it is available
568 #  since using it on bash version 3.1.6 (or earlier) is not required and
569 #  will cause an error message.
570 !if "$(SH_PROG)"=="bash" && [$(CYGWIN_PATH)\bash -c "set -o igncr" 2>nul: ] == 0
571 SH_FLAGS=-o igncr
572 !endif
573
574 SH=$(SH_PROG) $(SH_FLAGS)
575
576
577 # command for perl (cygwin's perl package recommended)
578 PERL=perl
579
580 # command for pod2man and pod2html
581 # (part of the perl package, usually leave these unchanged)
582 POD2MAN=$(SH) pod2man
583 POD2HTML=$(SH) pod2html
584
585 # Command for native Windows Python (recommended)
586 # V2.4 to V2.6 should work
587
588 # If you want to specify your Python settings, uncomment the lines below.
589 #PYTHON="C:\Python26\python.exe"
590 #PATH=c:\Python26;$(PATH)
591
592 # Command for Cygwin's Python (not recommended)
593 #PYTHON=env python
594
595 # Otherwise, find Python automatically.
596 !IF !DEFINED(PYTHON)
597 !IF EXIST(c:\Python26\python.exe)
598 PYTHON="C:\Python26\python.exe"
599 PATH=c:\Python26;$(PATH)
600 !ELSE IF EXIST(c:\Python25\python.exe)
601 PYTHON="C:\Python25\python.exe"
602 PATH=c:\Python25;$(PATH)
603 !ELSE IF EXIST(c:\Python24\python.exe)
604 PYTHON="C:\Python24\python.exe"
605 PATH=c:\Python24;$(PATH)
606 !ENDIF
607 !ENDIF
608
609 # command for lex/flexx (cygwin's flex recommended)
610 LEX=flex
611
612 # command for yacc/bison (cygwin's bison recommended)
613 YACC=bison
614
615 # Commands to convert UNIX line endings to DOS/Windows
616 UNIX2DOS=u2d
617 TEXTIFY=$(SH) $(TOOLS_DIR)/textify.sh
618
619 #
620 # Optional: To build the NSIS installer.
621 #
622 # If you have the NSIS package, set this to the NSIS executable.
623 #
624 # If you don't have NSIS, comment this line out, so that MAKENSIS
625 # isn't defined.
626 #
627 MAKENSIS="$(PROGRAM_FILES)\nsis\makensis.exe"
628
629 #
630 # Optional: To build the developers API documentation with doxygen and dot.
631 # Currently experimental, outdated and incomplete.
632 #
633 # You will have to download and install:
634 # Doxygen from: http://www.doxygen.org
635 # Graphviz from: http://www.research.att.com/sw/tools/graphviz/
636 #
637 # If you have doxygen, set this to the doxygen executable.
638 #
639 # If you don't want the developers documentation (or don't have the tools),
640 # comment this line out, so that DOXYGEN isn't defined.
641 #
642 #DOXYGEN="$(PROGRAM_FILES)/doxygen/bin/doxygen.exe"
643
644 #
645 # Recommended: Use the compressed html help format .chm as the Wireshark integrated help.
646 #
647 # The required htmlhelp.h and htmlhelp.lib should be included in MSVC_VARIANT > MSVC6.
648 #
649 # For MSVC_VARIANT == MSVC6 you will have to download and install the html help workshop from:
650 #
651 # http://msdn.microsoft.com/library/default.asp?url=/library/en-us/htmlhelp/html
652 # /hwMicrosoftHTMLHelpDownloads.asp
653 #
654 # Then point HHC_DIR to the html help dir (where hhc.exe resides).
655 #
656 # If you don't want the online help (or don't have the tools),
657 # comment this line out, so that HHC_DIR isn't defined.
658 #
659 HHC_DIR=$(PROGRAM_FILES)/HTML Help Workshop
660
661 #
662 # Optional: To reduce the size of dlls and exes, which is especially useful for USB device distributions (U3, PortableApps)
663 #
664 # If you have the UPX package, set this to the upx.exe executable.
665 #
666 # UPX can be downloaded from:
667 #   http://upx.sourceforge.net/
668 #
669 # If you don't have UPX, or don't want to pack exes and dlls,
670 # comment this line out, so that UPX isn't defined.
671 #
672
673 UPX=$(WIRESHARK_LIBS)\upx303w\upx.exe
674
675 ##### Flags, PATHs and Miscellaneous #####
676
677 # "convert" the MSVC variant into the required MSC compiler version
678 !IF "$(MSVC_VARIANT)" == "MSVC6"
679 MSC_VER_REQUIRED=1200
680 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2002" || "$(MSVC_VARIANT)" == "DOTNET10"
681 MSC_VER_REQUIRED=1300
682 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2003" || "$(MSVC_VARIANT)" == "DOTNET11"
683 MSC_VER_REQUIRED=1310
684 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2005" || "$(MSVC_VARIANT)" == "MSVC2005EE" || "$(MSVC_VARIANT)" == "DOTNET20"
685 MSC_VER_REQUIRED=1400
686 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2008" ||  "$(MSVC_VARIANT)" == "MSVC2008EE"
687 MSC_VER_REQUIRED=1500
688 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2010" ||  "$(MSVC_VARIANT)" == "MSVC2010EE"
689 MSC_VER_REQUIRED=1600
690 !ELSE
691 !ERROR MSVC_VARIANT unknown
692 !ENDIF
693
694 ## Manifest processing is not needed for VC10 (Visual Studio 2010 C)
695 ## See: http://msdn.microsoft.com/en-us/library/dd293574.aspx
696 !IF ($(MSC_VER_REQUIRED) >= 1400) && ($(MSC_VER_REQUIRED) < 1600)
697 MANIFEST_INFO_REQUIRED=1
698 !ENDIF
699
700 # Compiler flags:
701 # /W3  warning level 3 (0 less - 4 most, 1 default)
702 # /Zi  create .pdb file for debugging
703 # /MD  use "Multithreading Debug" libraries
704 # /D_CRT_SECURE_NO_DEPRECATE        Don't warn for "insecure" calls, see MSDN "Security Enhancements in the CRT"
705 # /D_CRT_NONSTDC_NO_DEPRECATE       Don't warn for "Deprecated CRT Functions" as MSDN calls this
706 # /D_BIND_TO_CURRENT_CRT_VERSION=1  Make sure our CRT and manifest versions match (http://msdn.microsoft.com/en-us/library/cc664727.aspx)
707 # /DWIN32_LEAN_AND_MEAN             Don't include unnecessary Windows include files (see windows.h)
708 # /MANIFEST:no                      Don't create a SxS manifest. Makes sure our plugins don't load a second copy of the CRT.
709 #
710 !IF "$(MSVC_VARIANT)" == "MSVC6" || "$(MSVC_VARIANT)" == "MSVC2002" || "$(MSVC_VARIANT)" == "DOTNET10" || "$(MSVC_VARIANT)" == "MSVC2003" || "$(MSVC_VARIANT)" == "DOTNET11"
711 LOCAL_CFLAGS=/Zi /W3 /MD /DWIN32_LEAN_AND_MEAN /DMSC_VER_REQUIRED=$(MSC_VER_REQUIRED)
712 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2005" || "$(MSVC_VARIANT)" == "MSVC2005EE" || "$(MSVC_VARIANT)" == "DOTNET20" || "$(MSVC_VARIANT)" == "MSVC2008" || "$(MSVC_VARIANT)" == "MSVC2008EE" || "$(MSVC_VARIANT)" == "MSVC2010" || "$(MSVC_VARIANT)" == "MSVC2010EE"
713 LOCAL_CFLAGS=/Zi /W3 /MD /D_CRT_SECURE_NO_DEPRECATE /D_CRT_NONSTDC_NO_DEPRECATE /DWIN32_LEAN_AND_MEAN /DMSC_VER_REQUIRED=$(MSC_VER_REQUIRED)
714 !IF "$(WIRESHARK_TARGET_PLATFORM)" != "win64"
715 LOCAL_CFLAGS=$(LOCAL_CFLAGS) /D_BIND_TO_CURRENT_CRT_VERSION=1
716 !ENDIF
717 !ELSE
718 !ERROR MSVC_VARIANT unknown
719 !ENDIF
720
721 # http://msdn.microsoft.com/en-us/library/bb385193.aspx
722 # /MP               Compiles multiple source files by using multiple processes
723 # /MP[processMax]   If you omit the processMax argument, the compiler retrieves the number of effective processors
724 #                   on your computer from the operating system, and creates a process for each processor.
725 #
726 # The following compiler options and language features that are incompatible with the /MP option:
727 #
728 # * #import preprocessor directive
729 # * /E, /EP
730 # * /Gm
731 # * /showIncludes
732 # * /Yc
733 #
734 !IF "$(MSVC_VARIANT)" == "MSVC2008" || "$(MSVC_VARIANT)" == "MSVC2008EE" || "$(MSVC_VARIANT)" == "MSVC2010" || "$(MSVC_VARIANT)" == "MSVC2010EE"
735 LOCAL_CFLAGS= $(LOCAL_CFLAGS) /MP
736 !ENDIF
737 # Linker flags:
738 # /DEBUG  generate debug info
739 # /PROFILE generate map file(s) for profiling
740 # /DEFAULTLIB:xxx use xxx as the standard C library
741 # /NODEFAULTLIB:xxx don't use xxx as the standard C library
742 #
743 LOCAL_LDFLAGS=/DEBUG /MACHINE:$(TARGET_MACHINE)
744 DLL_LDFLAGS =
745 !IFDEF MANIFEST_INFO_REQUIRED
746 DLL_LDFLAGS = /MANIFEST:no
747 !ENDIF
748
749 PLUGIN_LDFLAGS = /NOLOGO /INCREMENTAL:no $(LOCAL_LDFLAGS) $(DLL_LDFLAGS)
750
751 #
752 # According to http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=403
753 # XCOPY under Windows NT doesn't support the "/Y" flag.  This works
754 # around that bug.
755 # XXX - This apparently doesn't work for some versions of nmake:
756 # http://support.microsoft.com/default.aspx?scid=kb;en-us;86814
757 # It looks like we'll have to call "set copycmd=/y" before we run xcopy.
758 COPYCMD=/y
759
760 #
761 # If you don't want to build libwireshark.dll, you should comment out the
762 # following line. (Note: for plugin support this option must stay activated)
763 ENABLE_LIBWIRESHARK=USE
764
765 #
766 # install (debug) directory for Wireshark (relative to your source dir)
767 INSTALL_DIR=wireshark-gtk2
768
769
770
771 ##### C-Runtime Redistributable #####
772 #
773 # The C-Runtime since Version 7 must be shipped together with
774 # the program installer, to avoid missing msvcr*.dll files on
775 # the target machine.
776 #
777 # The location of these files differ on the various compiler
778 # packages, the following will use the default paths depending
779 # on the package version.
780 #
781 !IF "$(MSVC_VARIANT)" == "MSVC6"
782 # msvcrt.dll will already be available on target machines - nothing additional to install
783
784 !ELSEIF "$(WIRESHARK_TARGET_PLATFORM)" == "win64"
785 # We're not creating portable packages and therefore don't have to worry about
786 # "deploying using xcopy"
787 VCREDIST_EXE=$(WIRESHARK_LIBS)\vcredist_$(TARGET_MACHINE).exe
788
789 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2002"
790 # you probably need to tweak this directory if you don't use the professional edition!
791 MSVCR_DLL=$(PROGRAM_FILES)\Microsoft Visual Studio .NET\Visual Studio .NET Professional - English\msvcr70.dll
792
793 !ELSEIF "$(MSVC_VARIANT)" == "DOTNET10"
794 # no redistributable available for this package!
795
796 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2003"
797 # you probably need to tweak this directory if you don't use the professional edition!
798 MSVCR_DLL=$(PROGRAM_FILES)\Microsoft Visual Studio .NET 2003\Visual Studio .NET Professional 2003 - English\msvcr71.dll
799
800 !ELSEIF "$(MSVC_VARIANT)" == "DOTNET11"
801 # no redistributable available for this package!
802
803 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2005"
804 MSVCR_DLL=$(PROGRAM_FILES)\Microsoft Visual Studio 8\VC\redist\$(VCREDIST_DLL)\Microsoft.VC80.CRT\*.*
805
806 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2005EE" || "$(MSVC_VARIANT)" == "DOTNET20" || "$(MSVC_VARIANT)" == "MSVC2008EE"
807 # you need to download the redistributable package vcredist_x86.exe from Microsoft first,
808 # and copy it to the lib folder!!!
809 VCREDIST_EXE=$(WIRESHARK_LIBS)\vcredist_$(TARGET_MACHINE).exe
810
811 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2008"
812 MSVCR_DLL=$(PROGRAM_FILES)\Microsoft Visual Studio 9.0\VC\redist\$(VCREDIST_DLL)\Microsoft.VC90.CRT\*.*
813
814 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2010EE"
815 # NOT TESTED
816 # you need to download the redistributable package vcredist_x86.exe from Microsoft first,
817 # and copy it to the lib folder!!!
818 VCREDIST_EXE=$(WIRESHARK_LIBS)\vcredist_$(TARGET_MACHINE).exe
819 !ELSEIF "$(MSVC_VARIANT)" == "MSVC2010"
820 MSVCR_DLL=$(PROGRAM_FILES)\Microsoft Visual Studio 10.0\VC\redist\$(TARGET_MACHINE)\Microsoft.VC100.CRT*.*
821
822 !ELSE
823 !ERROR MSVC_VARIANT unknown
824 !ENDIF
825
826 !IF DEFINED(VCREDIST_EXE) && ! EXIST("$(VCREDIST_EXE)")
827 !ERROR Can't find $(VCREDIST_EXE). Have you downloaded it from Microsoft? \
828 See the developer's guide section "C-Runtime "Redistributable" files" for details how to get it
829 !ENDIF
830
831 ##### Advanced: Docbook/XML documentation generation #####
832 # If you want to generate the Docbook/XML based docs (User's and Developer's
833 # Guide, ...), you'll need some additional tools / libraries compared to the
834 # rest of the build process.
835 #
836 # FOR DETAILED INSTRUCTIONS TO GENERATE THE DOCS, SEE: docbook\README.txt.
837 #
838 # If you don't call the Makefile.nmake in the docbook dir to generate the
839 # docs, the following settings in this section will have no effect.
840
841 # formatting objects processor executable
842 # Comment this out if you don't have fop installed or you don't want the docs
843 # in PDF format.
844 #
845 # You may want to install the FOP hyphenation patterns from
846 # http://offo.sourceforge.net/hyphenation/
847 !IFNDEF FOP
848 FOP=fop-0.95\fop.bat
849 !ENDIF
850
851 # Additional options to fop.
852 FOP_OPTS=-Xmx256m
853
854 # html help compiler
855 # Comment this out if you don't have hhc.exe or you don't want the docs in
856 # .chm format.
857 #
858 # Beware: hhc.exe is NOT part of the MSVC packages in HHC_DIR mentioned above,
859 # so you'll need to install the HTML Help Workshop for this.
860 HHC_EXE="$(HHC_DIR)\hhc.exe"
861
862 # html to text converter for text version of release notes, e.g. elinks.
863 # This could also be "lynx", or "true" if neither elinks nor lynx is installed
864 # (cygwin: lynx works, elinks not available, links and true doesn't produce output)
865 #HTML2TXT=elinks -dump -dump-width 72
866 ##HTML2TXT=links -dump -width 72 ## XXX: Fails: For links -dump requires 'url' (filename) arg.
867 #HTML2TXT=lynx -dump -width=72 -nolist -stdin
868
869 !IFNDEF HTML2TXT
870 HTML2TXT=$(PYTHON) $(TOOLS_DIR)\html2text.py --width=72 --no-links
871 !ENDIF
872
873 # the XSL processor (part of cygwin's libxslt package)
874 XSLTPROC="xsltproc"
875
876 # the XML validator (part of cygwin's libxml2 package)
877 XMLLINT="xmllint"
878
879
880
881 ##############################################################################
882 #
883 # You should not have to change anything below this comment.
884 # If you do, it's a deficiency in the Makefile.nmake files;
885 # either tell wireshark-dev@wireshark.org about it, including
886 # details of why you had to change it, or fix config.nmake
887 # and any Makefile.nmake files that need to be changed, and
888 # send us the patches, along with details of why the change
889 # was necessary.
890 #
891 ##############################################################################
892
893 #
894 # The RC_VERSION should be comma-separated, not dot-separated,
895 # as per Graham Bloice's message in
896 #
897 #       http://www.ethereal.com/lists/ethereal-dev/200303/msg00283.html
898 #
899 # "The RC_VERSION variable in config.nmake should be comma separated.
900 # This allows the resources to be built correctly and the version
901 # number to be correctly displayed in the explorer properties dialog
902 # for the executables, and XP's tooltip, rather than 0.0.0.0."
903 #
904
905 VERSION=$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_MICRO)$(VERSION_EXTRA)
906 RC_VERSION=$(VERSION_MAJOR),$(VERSION_MINOR),$(VERSION_MICRO),$(VERSION_BUILD)
907
908 WTAP_VERSION=$(WTAP_VERSION_MAJOR).$(WTAP_VERSION_MINOR).$(WTAP_VERSION_MICRO)
909 RC_WTAP_VERSION=$(WTAP_VERSION_MAJOR),$(WTAP_VERSION_MINOR),$(WTAP_VERSION_MICRO)
910
911 # GLib
912 GLIB_CFLAGS=/I$(GTK_DIR)\include\glib-$(GLIB_VERSION) \
913         /I$(GTK_DIR)\lib\glib-$(GLIB_VERSION)\include
914 GLIB_LIBS=$(GTK_DIR)\lib\glib-$(GLIB_VERSION).lib \
915         $(GTK_DIR)\lib\gmodule-$(GLIB_VERSION).lib \
916         $(GTK_DIR)\lib\gobject-$(GLIB_VERSION).lib
917 GTHREAD_LIBS=$(GTK_DIR)\lib\gthread-$(GLIB_VERSION).lib
918
919 # GTK+
920 GTK_CFLAGS=$(GLIB_CFLAGS) /I$(GTK_DIR)\include\gtk-2.0 \
921         /I$(GTK_DIR)\lib\gtk-2.0\include \
922         /I$(GTK_DIR)\include\atk-1.0 \
923         /I$(GTK_DIR)\include\cairo \
924         /I$(GTK_DIR)\include\pango-1.0
925 GTK_LIBS=$(GTK_DIR)\lib\gtk-win32-2.0.lib \
926         $(GTK_DIR)\lib\gdk-win32-2.0.lib \
927         $(GTK_DIR)\lib\gdk_pixbuf-2.0.lib \
928         $(GTK_DIR)\lib\pango-1.0.lib \
929         $(GLIB_LIBS)
930
931
932 !IF "$(GTK_INST_VERSION)" == "2.18" || "$(GTK_INST_VERSION)" == "2.16" || "$(GTK_INST_VERSION)" == "2.14"
933 GTK_LIB_DIR=2.10.0
934
935 !IFDEF PNG_DLL
936 NEED_LIBPNG_DLL=USE
937 !ENDIF
938 !IFDEF JPEG_DLL
939 NEED_LIBJPEG_DLL=USE
940 !ENDIF
941 !IFDEF TIFF_DLL
942 NEED_LIBTIFF_DLL=USE
943 !ENDIF
944 NEED_CAIRO_DLL=USE
945 # Pango >=1.24.5 Needs these:
946 NEED_FREETYPE_DLL=USE
947 NEED_FONTCONFIG_DLL=USE
948 NEED_EXPAT_DLL=USE
949
950 GTK_WIMP_DLLSRC_DIR=$(GTK_DIR)\lib\gtk-2.0\2.10.0\engines
951 GTK_WIMP_DLLDST_DIR=lib\gtk-2.0\2.10.0\engines
952 GTK_WIMP_RCSRC_DIR=$(GTK_DIR)\share\themes\MS-Windows\gtk-2.0
953 GTK_WIMP_RCDST_DIR=etc\gtk-2.0
954 !ELSE
955 !ERROR ? Unknown or invalid GTK_INST_VERSION
956 !ENDIF
957
958
959 !IFDEF AIRPCAP_DIR
960 AIRPCAP_CONFIG=^#define HAVE_AIRPCAP 1
961 AIRPDCAP_CONFIG=^#define HAVE_AIRPDCAP 1
962 #AIRPCAP_CFLAGS=/I$(AIRPCAP_DIR)\include
963 !ELSE
964 AIRPCAP_CONFIG=
965 AIRPDCAP_CONFIG=
966 !ENDIF
967
968 !IFDEF PCAP_DIR
969 # Nmake uses carets to escape special characters
970 WINPCAP_CONFIG=^#define HAVE_LIBPCAP 1
971 #
972 # This requires that, if you're *building* Wireshark, you have
973 # the most recent WinPcap's development package.  If, at *run*
974 # time, an older version of WinPcap, missing some routines,
975 # is found, we work around that.
976 #
977 PCAP_FINDALLDEVS_CONFIG=^#define HAVE_PCAP_FINDALLDEVS 1
978 PCAP_DATALINK_NAME_TO_VAL_CONFIG=^#define HAVE_PCAP_DATALINK_NAME_TO_VAL 1
979 PCAP_DATALINK_VAL_TO_NAME_CONFIG=^#define HAVE_PCAP_DATALINK_VAL_TO_NAME 1
980 PCAP_DATALINK_VAL_TO_DESCRIPTION_CONFIG=^#define HAVE_PCAP_DATALINK_VAL_TO_DESCRIPTION 1
981 # PCAP_BREAKLOOP won't have any benefit on Win32, but breaks compatibility with 3.0
982 PCAP_BREAKLOOP_CONFIG=
983 PCAP_LIST_DATALINKS_CONFIG=^#define HAVE_PCAP_LIST_DATALINKS 1
984 PCAP_FREE_DATALINKS_CONFIG=^#define HAVE_PCAP_FREE_DATALINKS 1
985 PCAP_SET_DATALINK_CONFIG=^#define HAVE_PCAP_SET_DATALINK 1
986 !ELSE
987 # no WpdPack installed
988 WINPCAP_CONFIG=
989 PCAP_FINDALLDEVS_CONFIG=
990 PCAP_DATALINK_NAME_TO_VAL_CONFIG=
991 PCAP_DATALINK_VAL_TO_NAME_CONFIG=
992 PCAP_DATALINK_VAL_TO_DESCRIPTION_CONFIG=
993 PCAP_BREAKLOOP_CONFIG=
994 PCAP_LIST_DATALINKS_CONFIG=
995 PCAP_FREE_DATALINKS_CONFIG=
996 PCAP_SET_DATALINK_CONFIG=
997 !ENDIF
998
999 !IF DEFINED(PCAP_DIR) && DEFINED(PCAP_REMOTE)
1000 PCAP_HAVE_REMOTE_CONFIG=^#define HAVE_REMOTE 1
1001 PCAP_REMOTE_CONFIG=^#define HAVE_PCAP_REMOTE 1
1002 PCAP_OPEN_CONFIG=^#define HAVE_PCAP_OPEN 1
1003 PCAP_SETSAMPLING_CONFIG=^#define HAVE_PCAP_SETSAMPLING 1
1004 !ELSE
1005 PCAP_HAVE_REMOTE_CONFIG=
1006 PCAP_REMOTE_CONFIG=
1007 PCAP_OPEN_CONFIG=
1008 PCAP_SETSAMPLING_CONFIG=
1009 !ENDIF
1010
1011 !IFDEF ZLIB_DIR
1012 ZLIB_PATH=$(ZLIB_DIR)
1013 ZLIB_CFLAGS=/I$(ZLIB_DIR)\include
1014 ZLIB_LIBS=$(ZLIB_DIR)\lib\zdll.lib
1015 ZLIB_DLL=$(ZLIB_DIR)\zlib1.dll
1016 # Nmake uses carets to escape special characters
1017 ZLIB_CONFIG=^#define HAVE_LIBZ 1
1018 !else
1019 ZLIB_CFLAGS=
1020 ZLIB_LIBS=
1021 ZLIB_DLL=
1022 ZLIB_CONFIG=
1023 !ENDIF
1024
1025 !IFDEF C_ARES_PKG
1026 !UNDEF ADNS_DIR
1027 C_ARES_DIR=$(WIRESHARK_LIBS)\c-ares-$(C_ARES_PKG)-$(WIRESHARK_TARGET_PLATFORM)ws
1028 C_ARES_CFLAGS=/I$(C_ARES_DIR)/include
1029 C_ARES_LIBS=$(C_ARES_DIR)\lib\libcares-2.lib
1030 C_ARES_DLL=$(C_ARES_DIR)\bin\libcares-2.dll
1031 # Nmake uses carets to escape special characters
1032 C_ARES_CONFIG=^#define HAVE_C_ARES 1
1033 !else
1034 C_ARES_CFLAGS=
1035 C_ARES_LIBS=
1036 C_ARES_CONFIG=
1037 !IFDEF ADNS_DIR
1038 ADNS_PATH=$(ADNS_DIR)\adns_win32\lib
1039 ADNS_CFLAGS=/I$(ADNS_DIR)\src /I$(ADNS_DIR)\adns_win32
1040 ADNS_LIBS=$(WIRESHARK_LIBS)\$(MSVC_VARIANT)\adns\adns_dll.lib
1041 ADNS_DLL=$(WIRESHARK_LIBS)\$(MSVC_VARIANT)\adns\adns_dll.dll
1042 # Nmake uses carets to escape special characters
1043 ADNS_CONFIG=^#define HAVE_GNU_ADNS 1
1044 !else
1045 ADNS_CFLAGS=
1046 ADNS_LIBS=
1047 ADNS_CONFIG=
1048 !ENDIF # ADNS
1049 !ENDIF # C_ARES
1050
1051 !IFDEF KFW_DIR
1052 KFW_PATH=$(KFW_DIR)\bin
1053 KFW_CFLAGS=/I$(KFW_DIR)\include
1054 KFW_LIBS=$(KFW_DIR)\lib\krb5_32.lib
1055 # Nmake uses carets to escape special characters
1056 KFW_CONFIG=^#define HAVE_MIT_KERBEROS 1
1057 !else
1058 KFW_CFLAGS=
1059 KFW_LIBS=
1060 KFW_CONFIG=
1061 !ENDIF
1062
1063 !IFDEF PCRE_DIR
1064 PCRE_PATH=$(PCRE_DIR)\bin
1065 PCRE_CFLAGS=/I$(PCRE_DIR)\include
1066 PCRE_LIBS=$(PCRE_DIR)\lib\pcre.lib
1067 # Nmake uses carets to escape special characters
1068 PCRE_CONFIG=^#define HAVE_LIBPCRE 1
1069 !else
1070 PCRE_CFLAGS=
1071 PCRE_LIBS=
1072 PCRE_CONFIG=
1073 !ENDIF
1074
1075 !IFDEF NETTLE_DIR
1076 NETTLE_CFLAGS=/I$(NETTLE_DIR)
1077 NETTLE_LIBS=$(NETTLE_DIR)\libnettle.lib
1078 # Nmake uses carets to escape special characters
1079 NETTLE_CONFIG=^#define HAVE_LIBNETTLE 1
1080 !else
1081 NETTLE_CFLAGS=
1082 NETTLE_LIBS=
1083 NETTLE_CONFIG=
1084 !ENDIF
1085
1086 !IFDEF GNUTLS_PKG
1087 GNUTLS_DIR=$(WIRESHARK_LIBS)\gnutls-$(GNUTLS_PKG)-$(WIRESHARK_TARGET_PLATFORM)ws
1088 GNUTLS_PATH=$(GNUTLS_DIR)
1089 # /DNOCRYPT avoids inclusion of Wincrypt.h, avoiding a X509_NAME define clash
1090 GNUTLS_CFLAGS=/I$(GNUTLS_DIR)\include /DNOCRYPT /DIMPORT_LIGNUTLSDLL
1091 GCRYPT_LIBS = $(GNUTLS_DIR)\bin\libgcrypt-11.lib
1092 GNUTLS_LIBS=\
1093         $(GNUTLS_DIR)\bin\libtasn1-3.lib        \
1094         $(GNUTLS_DIR)\bin\libgpg-error-0.lib    \
1095         $(GCRYPT_LIBS) \
1096         $(GNUTLS_DIR)\bin\libgnutls-26.lib
1097 # Nmake uses carets to escape special characters
1098 GNUTLS_CONFIG=^#define HAVE_LIBGNUTLS 1
1099 LIBGCRYPT_CONFIG=^#define HAVE_LIBGCRYPT 1
1100 !else
1101 GNUTLS_CFLAGS=
1102 GNUTLS_LIBS=
1103 GNUTLS_CONFIG=
1104 LIBGCRYPT_CONFIG=
1105 !ENDIF
1106
1107 !IFDEF LUA_DIR
1108 LUA_CFLAGS=/I$(LUA_DIR)\include
1109 LUA_LIBS=$(LUA_DIR)\lua5.1.lib
1110 # Nmake uses carets to escape special characters
1111 LUA_CONFIG=^#define HAVE_LUA 1
1112 LUA_VERSION=^#define HAVE_LUA_5_1 1
1113 !else
1114 LUA_CFLAGS=
1115 LUA_LIBS=
1116 LUA_CONFIG=
1117 !ENDIF
1118
1119 !IFDEF PORTAUDIO_DIR
1120 # Nmake uses carets to escape special characters
1121 PORTAUDIO_CONFIG=^#define HAVE_LIBPORTAUDIO 1
1122 !IF "$(PORTAUDIO_VERSION)" == "18"
1123 # V18 uses API version 1 and v19 API version 2
1124 PORTAUDIO_CFLAGS=/I$(PORTAUDIO_DIR)\pa_common
1125 PORTAUDIO_API_CONFIG=^#define PORTAUDIO_API_1 1
1126 !ELSE
1127 PORTAUDIO_CFLAGS=/I$(PORTAUDIO_DIR)\include /I$(PORTAUDIO_DIR)\src\common /I$(PORTAUDIO_DIR)\src\os\win /DPA_NO_DS /DPA_NO_ASIO
1128 !ENDIF
1129 !ELSE
1130 PORTAUDIO_CFLAGS=
1131 PORTAUDIO_CONFIG=
1132 !ENDIF
1133
1134 !IFDEF HHC_DIR
1135 !IF "$(MSVC_VARIANT)" == "MSVC6"
1136 HHC_CFLAGS=/I"$(HHC_DIR)\include" -DHHC_DIR
1137 HHC_LIBS="$(HHC_DIR)\lib\htmlhelp.lib"
1138 !ELSE
1139 HHC_CFLAGS=-DHHC_DIR
1140 HHC_LIBS=htmlhelp.lib
1141 !ENDIF
1142 !ELSE
1143 HHC_CFLAGS=
1144 HHC_LIBS=
1145 !ENDIF
1146
1147 !IFDEF SMI_DIR
1148 SMI_CONFIG=^#define HAVE_LIBSMI 1
1149 SMI_CFLAGS=/I$(SMI_DIR)\include
1150 SMI_LIBS=$(SMI_DIR)\lib\smi.lib
1151 !ELSE
1152 SMI_LIBS=
1153 SMI_CFLAGS=
1154 SMI_CONFIG=
1155 !ENDIF
1156
1157 !IFDEF GEOIP_DIR
1158 GEOIP_CONFIG=^#define HAVE_GEOIP 1
1159 GEOIP_CFLAGS=/I$(GEOIP_DIR)
1160 GEOIP_LIBS=$(GEOIP_DIR)\GeoIP.lib
1161 !ELSE
1162 GeoIP_LIBS=
1163 GeoIP_CFLAGS=
1164 GeoIP_CONFIG=
1165 !ENDIF
1166
1167 !IFDEF ENABLE_LIBWIRESHARK
1168 LIBWIRESHARK_CONFIG=^#define HAVE_LIBWIRESHARKDLL 1
1169 # Link plugins with the import library of libwireshark.dll
1170 LINK_PLUGINS_WITH_LIBWIRESHARK=USE
1171 !ELSE
1172 LIBWIRESHARK_CONFIG=
1173 !ENDIF
1174
1175 # Construct the path
1176 PATH=$(PATH);$(CYGWIN_PATH);$(GTK_DIR)\bin;$(GETTEXT_DIR)\bin;$(ZLIB_PATH);$(ADNS_PATH)
1177
1178 # We can't use a lot of IPv6 code with plain Visual C++ 6.0
1179 !IF "$(MSVC_VARIANT)" == "MSVC6" && !DEFINED(MSSDK)
1180 INET6_CONFIG=
1181 !ELSE
1182 INET6_CONFIG=^#define INET6 1
1183 !ENDIF
1184
1185 !IF "$(MSVC_VARIANT)" == "MSVC6" && !DEFINED(MSSDK)
1186 NTDDNDIS_CONFIG=
1187 !ELSE
1188 NTDDNDIS_CONFIG=^#define HAVE_NTDDNDIS_H 1
1189 !ENDIF